Modern App Requirement for 1Password Business

Hello, we have a mixed environment (Mac and Windows) and would like to enable the Modern App Requirement setting. When I read through the list of version requirements, I noticed that the 1Password web extension is not listed, and only the 1Password X web extension is listed (among the other full app versions). Our issue is that we currently use the 1Password extension on our Macs as opposed to 1Password X.

If we enable Modern App Requirements, will our team members be able to continue using the 1Password web extension on Mac?


1Password Version: 7.5
Extension Version: 4.7.5
OS Version: Not Provided
Sync Type: Not Provided

Comments

  • BenBen AWS Team

    Team Member

    Hi @alex_pres_tech

    The companion "1Password (desktop app required)" extension doesn't talk to 1Password.com directly. Instead it relies on 1Password for Mac (or 1Password for Windows, respectively) to do so. As such, as long as the version of 1Password for Mac (or Windows) you're using is up to date, the Modern App Requirement setting wouldn't have any bearing on the companion extension.

    I hope that helps! :)

    Ben

  • Thank you so much, this helps immensely. Thank you again to you and your team for all the help you provide here in these Forums and with such a great attitude. Very much appreciated...

  • BenBen AWS Team

    Team Member

    Thank you so much, this helps immensely.

    Glad to hear it!

    Thank you again to you and your team for all the help you provide here in these Forums and with such a great attitude. Very much appreciated...

    You're most welcome. Thank your for the kind words. If there is anything else we can do, please don't hesitate to contact us.

    Ben

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file